> ## Documentation Index
> Fetch the complete documentation index at: https://eigendb.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List all index names

> List the names of all indexes that currently exist.



## OpenAPI

````yaml /api-reference/specs/indexes.yaml get /api/v1/indexes/list
openapi: 3.0.3
info:
  title: EigenDB REST API
  description: REST API for EigenDB.
  version: 1.0.0
servers: []
security:
  - ApiKeyAuth: []
paths:
  /api/v1/indexes/list:
    get:
      summary: List all index names
      description: List the names of all indexes that currently exist.
      operationId: listIndexes
      responses:
        '200':
          description: Stats fetched successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseSchema'
              example:
                status: 200
                message: Indexes listed successfully
                data:
                  indexes:
                    - hello-world
                    - fubar
                    - some-thing
        '500':
          description: An error occured.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseSchema'
              example:
                status: 500
                message: An error occured while listing indexes.
                error:
                  code: INDEXES_NOT_LISTED
                  description: detailed description of the error...
components:
  schemas:
    responseSchema:
      type: object
      properties:
        status:
          type: integer
          description: Status code of the response
        message:
          type: string
          description: Message giving basic information on the response
        data:
          type: object
          description: Important data to be given to the caller
        error:
          type: object
          description: An error that has occured
          properties:
            code:
              type: string
              description: An error code unique to this type of error
            description:
              type: string
              description: A detailed description of the error
      required:
        - status
        - message
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Eigen-API-Key

````